Jump to content
mihu_yo

lion on pentium 4

17 posts in this topic

Recommended Posts

hy there...i have an intel p4 3.0ghz... i wish to know if there are hopes for intel p4 to work on lion....

my sistem g41m-combo,8400gs,2gbddr3

Share this post


Link to post
Share on other sites
Advertisement
hy there...i have an intel p4 3.0ghz... i wish to know if there are hopes for intel p4 to work on lion....

my sistem g41m-combo,8400gs,2gbddr3

The problem is that P4 (or even Core Duo) don't have SSSE3 instruction set needed by Lion. Just like with SSE3 in old days. There should be a patched kernel done with SSSE3 emulation (if it is possible) in order for Lion to work on such CPUs.

 

The only Pentium that could potentially work is Pentium Dual Core (not Pentium D) as it has SSSE3.

Share this post


Link to post
Share on other sites

I dont see the point of getting Lion on Pentium 4 which will be an extremely slow setup

Share this post


Link to post
Share on other sites
I dont see the point of getting Lion on Pentium 4 which will be an extremely slow setup

 

Not really. My daily rig is a lowly Pentium D 960 and it churns through my work (using Photoshop, Xcode, etc) with relative ease. Sure it won't be playing Crysis anytime soon (especially not with a GeForce 8400), but it's more than sufficient for me. Sort of crazy to think I built this desktop back in the deadmoo days. In a way, I think I'm attached to it because it's been running this strong for this long. Nothing can stop it!

 

But anyhow, I hope we see a patched kernel soon, not just for the legacy Intel guys, but for the AMD folks as well. With nawcom out of the scene for a little while though, I have my doubts we'll see anything at all. All hope for a new kernel aside, I hope he gets better soon.

Share this post


Link to post
Share on other sites

if guys with amd chips will run lion... i don't see why not lion will run on p4...

i'm not a gamer...I don't use photoshop...or huge apps...i'm an little pc mouse;))

i mention that..i have buyed the g41m-combo for intel graphics...i was needet for an upgrade...my old nvidia 6200turbo cache don't suport lion...what a lovley surprise was when i found out that....my intel x4500 was not suported by os x....another upgrade was a must....the 8400gs...

i hope that the geeks wil heard our prayers ....as time i must to pay my studies...i don't see any chance for core 2 duo...(sorry 4 my english)

Share this post


Link to post
Share on other sites
I dont see the point of getting Lion on Pentium 4 which will be an extremely slow setup

 

the experience would be shocking :rolleyes: not worth it.

Share this post


Link to post
Share on other sites

Hi! I am also willing to try out if there's gonna be a new Legacy kernel. My specs are:

-Gigabyte G41M-ES2L REV1.0 mobo

-Intel Pentium Dual-Core E2200 (Conroe-1M core, 1MB L2 cache)

-3GB DDR2-800 memory

-Gainward nvidia 8600gt 256mb

 

This rig is fully OS X compatible, the only matter is the CPU. It can be used only with a Legacy kernel, but PLEASE NOTE:

 

THERE CPUS PERFORM STILL PRETTY DAMN GOOD, MY E2200 BENCHMARKS BETTER THAN MY BROTHER'S AMD ATHLON64 X2 4300+ :( We are not talking about the old ancient single-core Socket478 CPUs. They are capable of running....Tiger :D But that's the end. So don't diss this CPU, I'm perfectly fine with my rig (I also happen to have an aluminum unibody macbook :))))

Share this post


Link to post
Share on other sites

This is the same debate as we had with sse2 cpu's back in the day. The emualtor for sse3 was able to be made because the sse3 calls were able to be broken down in to their multiple sse2 instruction counterparts iirc. ssse3 afaik can't be emulated in the same way.

 

also a good read is here

 

http://xnu-dev.googlecode.com/files/SSE3%20Emulator.pdf

Share this post


Link to post
Share on other sites

The people in this thread are referring to the NetBurst-era Pentium 4's and Pentium D's. Your Pentium Dual Core is based off the Core architecture and should be able to run Lion out of the box. You don't need a legacy kernel.

 

This is the same debate as we had with sse2 cpu's back in the day. The emualtor for sse3 was able to be made because the sse3 calls were able to be broken down in to their multiple sse2 instruction counterparts iirc. ssse3 afaik can't be emulated in the same way.

 

also a good read is here

 

http://xnu-dev.googl...%20Emulator.pdf

 

Always nice to see you around. Thanks for the insight, JaS. Anyone else have futher information on the difficulties of SSSE3 emulation?

Share this post


Link to post
Share on other sites
Hi! I am also willing to try out if there's gonna be a new Legacy kernel. My specs are:

-Gigabyte G41M-ES2L REV1.0 mobo

-Intel Pentium Dual-Core E2200 (Conroe-1M core, 1MB L2 cache)

-3GB DDR2-800 memory

-Gainward nvidia 8600gt 256mb

 

This rig is fully OS X compatible, the only matter is the CPU. It can be used only with a Legacy kernel, but PLEASE NOTE:

 

THERE CPUS PERFORM STILL PRETTY DAMN GOOD, MY E2200 BENCHMARKS BETTER THAN MY BROTHER'S AMD ATHLON64 X2 4300+ :) We are not talking about the old ancient single-core Socket478 CPUs. They are capable of running....Tiger :) But that's the end. So don't diss this CPU, I'm perfectly fine with my rig (I also happen to have an aluminum unibody macbook :) )))

 

 

Dude Socket 478 is not only capable of running OSX 10.5.8 Leopard but also OSX 10.6 Snow leopard.

 

I have a Scoket 478 1.9 ghz Pentium 4 Willamette it is running OSX 10.5.8 right now as I type. I also managed to install 10.6.3 using Hazard's DVD and iatkos S3v2 and also Snow leopard Retail by just creating another partition and installing off it onto another partition. No sweat.

 

the only reason I couldnt run Snow leopard was because first I do not have a graphics card ... INtel 845 G makes everything in Snow leopard hang for no reason.... and secondly, as there was no support for ICH 4 chipset in Snow leo, I couldnt get OSX to recognise my HDD's with any usb pen drive or ext hdd plugged in.

 

It does work however with the ICH 4 kext from 10.5.8, but it is still hit and miss.

Share this post


Link to post
Share on other sites

prasys blog, there is one last entry to Intel Core, not the Core2Duo, possible solution

 

Not quite

 

 

There is a way of doing it.

 

ALL system objects on lion have the chance of running on 32bit because OS X has a built in compatibility box for legacy apps (photoshop 32-bit).

 

The only problem is that you need to *FOOL* the lion installer to install, then remove the CPU restrictions on lion.

 

Hope that helps.

Share this post


Link to post
Share on other sites

:help: Hi, i have a Intel Pentium 4 530 codenamed "Prescott" proccessor with sse3 support and can you help me,i want to install Mac OS X Lion on my pc,i have installed Mac OS X Snow Leopard from Hazard,and i have Windows 8.1.

 

Here's a picture from CPU-Z.

 

Thanks in advance. 

post-1336711-0-13854500-1398157091_thumb.png

Share this post


Link to post
Share on other sites

I have exactly same CPU. Snow Leopard is as new as you can go... Even if you have good GPU, its only SL. You need to get a new GPU like ASUS EAH6850 DirectCU v2 Dual Power connector like mine or something simular.

Also 10.6 is better for real macs too... I hate Lion. Maverics is usable but not good for our Pentium IV´s, it needs 64 bit and P4 Prescott is a 32-bit cpu. Also Nawcom legacy kernel is needed.

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×